<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
@author 		rodrigo.hernandez
@version 		2.0
@description	Pantalla donde se maneja la información relacionada a los detalles 
                de los documentos faltantes de una solicitud
                
@managed Bean  	RecepcionDocumentacionMB											  
                
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="detallesDocsFaltantesForm">

    <p:spacer height="10" />

    <p:focus />
    <p:messages id="msgsCDDF" showDetail="false" globalOnly="false" />

    <p:fieldset>
        <legend>
            <h:outputLabel value="Documentación básica" styleClass="legendTitle" />
        </legend>

        <p:spacer height="10" />

        <h:panelGrid id="detallesDocumentosFaltantesPG" width="100%">
            <p:dataTable var="detalleBasico"
                         id="detallesDocsBasicosFaltantesTable" widgetVar="ddbfTableWV"
                         value="#{recibirDocumentacion.listaDetalleDocumentosBasicosFaltantes}"
                         rows="3" rowsPerPageTemplate="10" paginator="true"
                         paginatorPosition="bottom"
                         rowKey="#{detalleBasico.tipoDocumento.id}"
                         emptyMessage="No existen documentos faltantes"
                         selection="#{recibirDocumentacion.detalleDocumentoFaltante}"
                         selectionMode="single">

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Acciones" />
                    </f:facet>
                    <p:outputPanel style="border:0px;width:50px;display:block;">

                        <p:commandButton title="Anexar documento" icon="ui-icon-plus"
                                         disabled="#{detalleBasico.cantidadSolicitud == 0}"
                                         onstart="statusDialog2.show();"
                                         action="#{recibirDocumentacion.alistarCargaAnexo}"
                                         oncomplete="statusDialog2.hide(); anexosDocsFaltantesWV.show()"
                                         update=":cargarAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.detalleDocumentoFaltante}"
                                value="#{detalleBasico}" />
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.banderaEsAnexoAdicional}"
                                value="false" />
                        </p:commandButton>

                        <p:spacer width="5" />

                        <p:commandButton title="Administrar anexos" icon="ui-icon-pencil"
                                         disabled="#{detalleBasico.cantidadEntrega == 0}"
                                         onstart="statusDialog2.show();"
                                         action="#{recibirDocumentacion.buscarAnexosTipoDocumento}"
                                         oncomplete="statusDialog2.hide(); adminAnexosDocsFaltantesWV.show()"
                                         update=":adminAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.detalleDocumentoFaltante}"
                                value="#{detalleBasico}" />
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.banderaEsAnexoAdicional}"
                                value="false" />
                        </p:commandButton>
                    </p:outputPanel>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo de documento" />
                    </f:facet>
                    <h:outputText value="#{detalleBasico.tipoDocumento.nombre}" />
                </p:column>

                <p:column class="colPequena" >
                    <f:facet name="header">
                        Cantidad <br>de documentos</br> solicitados
                    </f:facet>
                    <h:outputText value="#{detalleBasico.cantidadSolicitud}" />
                </p:column>


                <p:column>
                    <f:facet name="header">
                        Cantidad <br>de documentos</br> entregados
                    </f:facet>
                    <h:outputText value="#{detalleBasico.cantidadEntrega}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Observaciones
                    </f:facet>
                    <h:outputText value="#{detalleBasico.observacionesSolicitud}" />
                </p:column>

            </p:dataTable>

            <p:spacer height="10" />
        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="detallesDocumentosFaltantesFS">
        <legend>
            <h:outputLabel value="Documentación adicional"
                           styleClass="legendTitle" />
        </legend>

        <p:spacer height="10" />

        <h:panelGrid width="100%">
            <p:dataTable var="detalleAdicional"
                         id="detallesDocsAdicionalesFaltantesTable" widgetVar="ddafTableWV"
                         value="#{recibirDocumentacion.listaDetalleDocumentosAdicionalesFaltantes}"
                         rows="3" rowsPerPageTemplate="10" paginator="true"
                         paginatorPosition="bottom"
                         rowKey="#{detalleAdicional.tipoDocumento.id}"
                         emptyMessage="No existen trámites"
                         selection="#{recibirDocumentacion.detalleDocumentoFaltante}"
                         selectionMode="single">

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Acciones" />
                    </f:facet>
                    <p:outputPanel style="border:0px;width:50px;display:block;">


                        <p:commandButton title="Anexar documento" icon="ui-icon-plus"
                                         disabled="#{detalleAdicional.cantidadSolicitud == 0}"
                                         onstart="statusDialog2.show();"
                                         action="#{recibirDocumentacion.alistarCargaAnexo}"
                                         oncomplete="statusDialog2.hide(); anexosDocsFaltantesWV.show()"
                                         update=":cargarAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.detalleDocumentoFaltante}"
                                value="#{detalleAdicional}" />
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.banderaEsAnexoAdicional}"
                                value="true" />
                        </p:commandButton>

                        <p:spacer width="5" />

                        <p:commandButton title="Administrar anexos" icon="ui-icon-pencil"
                                         disabled="#{detalleAdicional.cantidadEntrega== 0}"
                                         onstart="statusDialog2.show();"
                                         action="#{recibirDocumentacion.buscarAnexosTipoDocumento}"
                                         oncomplete="statusDialog2.hide(); adminAnexosDocsFaltantesWV.show()"
                                         update=":adminAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.detalleDocumentoFaltante}"
                                value="#{detalleAdicional}" />
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.banderaEsAnexoAdicional}"
                                value="true" />
                        </p:commandButton>
                    </p:outputPanel>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo de documento" />
                    </f:facet>
                    <h:outputText value="#{detalleAdicional.tipoDocumento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Cantidad <br>de documentos</br> solicitados
                    </f:facet>
                    <h:outputText value="#{detalleAdicional.cantidadSolicitud}" />
                </p:column>


                <p:column>
                    <f:facet name="header">
                        Cantidad<br>de documentos</br> entregados
                    </f:facet>
                    <h:outputText value="#{detalleAdicional.cantidadEntrega}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Observaciones
                    </f:facet>
                    <h:outputText value="#{detalleAdicional.observacionesSolicitud}" />
                </p:column>



            </p:dataTable>

            <h:panelGrid columns="3" style="text-align:right">
                <h:outputLabel value="Descripción documento adicional:"
                               styleClass="outputLabelStyle" />

                <h:selectOneMenu converter="tipoDocumentoConverter"
                                 value="#{recibirDocumentacion.tipoDocumentoAdicionalSeleccionado}">

                    <f:selectItems
                        value="#{recibirDocumentacion.listaTiposDocumentosAdicionales}"
                        var="tipoDoc" itemLabel="#{tipoDoc.nombre}" />
                </h:selectOneMenu>

                <p:commandButton value="Adicionar" icon="ui-icon-document"
                                 onstart="statusDialog2.show();"
                                 action="#{recibirDocumentacion.agregarDocumentoAdicional}"
                                 oncomplete="statusDialog2.hide();"
                                 update="detallesDocumentosFaltantesFS, msgsCDDF">
                </p:commandButton>
            </h:panelGrid>
        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:outputPanel layout="block" style="text-align:left" id="guardarPanel">
        <p:spacer height="10" width="20" />
        <p:commandButton value="Guardar" icon="ui-icon-disk"
                         onstart="statusDialog2.show(); confirmacionAdicionAnexoWV.show()"
                         onsuccess="statusDialog2.hide();" 
                         update="msgsCDDF"/>
    </p:outputPanel>
</h:form>